interface IVenueId {
    venue: string;
}
export declare function useCms<T>(id: string, intervalSeconds?: number, withLocalStorage?: boolean, baseUrl?: string, tenant?: string): {
    value: T | null;
    isError: boolean;
    isLoading: boolean;
};
export declare function useVenueCms<T extends IVenueId>(id: string, intervalSeconds?: number, withLocalStorage?: boolean, baseUrl?: string, tenant?: string, venue?: string): {
    value: T | null;
    isError: boolean;
};
export declare function useLocalizedVenueMedia(id: string, venue: string, locale: string, intervalSeconds?: number, withLocalStorage?: boolean): {
    isError?: boolean;
    url: string | null;
    fallbackUrl: string | null;
};
export {};
//# sourceMappingURL=useCms.d.ts.map